Skip to content
Coritan Docs

Organization API: Billing & Payouts: Statements

The 7 Organization API operations for statements.

View as Markdown

Part of Billing & Payouts.

GET /api/v1/orgs/{org_slug}/statements

Name In Type Required Description
org_slug path string yes
limit query integer no Default: 50.
offset query integer no Default: 0.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/statements/generate

Name In Type Required
org_slug path string yes

application/json (required)

Field Type Required
period_start string (date-time) yes
period_end string (date-time) yes
force boolean no
notes string or null no
options StatementGenerateOptions or null no
options.include StatementIncludeOptions or null no
options.presentation StatementPresentationOptions or null no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

Org statements options catalog

Section titled Org statements options catalog

GET /api/v1/orgs/{org_slug}/statements/options-catalog

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/statements/{statement_id}

Name In Type Required
statement_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/statements/{statement_id}

Name In Type Required
statement_id path integer yes
org_slug path string yes
Status Meaning
204 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/statements/{statement_id}/csv

Name In Type Required
statement_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/statements/{statement_id}/pdf

Name In Type Required
statement_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.